package com.ruoyi.web.response;

import com.ruoyi.domain.CarReviewTask;
import com.ruoyi.domain.ReviewSceneChangeTask;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "CarReviewTaskViewResponse", description = "查询车辆审查任务详情响应体")
@Data
public class CarReviewTaskViewResponse {

    /**
     * 任务信息
     */
    @ApiModelProperty("任务信息")
    private CarReviewTask carReviewTask;

    /**
     * 任务开始后的场景变更信息
     */
    @ApiModelProperty("任务开始后的场景变更信息")
    private List<ReviewSceneChangeTask> reviewSceneChangeTasks;
}
